using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using QuickGraph.Graphviz;


namespace Generator
{
    class CustomDotEngine: IDotEngine
    {
        FileDotEngine dotEngine = new FileDotEngine();

        #region IDotEngine Members

        public string Run(QuickGraph.Graphviz.Dot.GraphvizImageType imageType, string dot, string outputFileName)
        {
            dot = dot.Replace("[]", "");

            return dotEngine.Run(imageType, dot, outputFileName);
        }

        #endregion
    }
}
